Set the schema for the project variables
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/variables"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}projects
Set the schema for the project variables
SetProjectVariablesSchema sets the JSON schema for the project’s dynamic variables. Dynamic variables can then be set by end users on activation. This schema is used to validate the variables when they are set and defines the variables that can be set and used within the integration code.
PUT
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
variables
Set the schema for the project variables
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Body
application/json
DynamicVariablesSchema is the JSON schema for the project's dynamic variables.
Response
OK
DynamicVariablesSchema is the JSON schema for the project's dynamic variables.
⌘I